HYCU
All operations require authentication.
Get list of owned HYCU licensesBeta
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ hycu \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get HYCU license infoBeta
Path parameters
Service name
Response
The latest comment or error message
The HYCU controller ID for this license
The license expiration date
IAM resource metadata
The license status
activeerrorprocessingtoActivateLicense ID
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ hycu/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "controllerId": "string", "expirationDate": "2024-01-01T12:00:00Z", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "licenseStatus": "active", "serviceName": "string"}
Alter this object propertiesBeta
Path parameters
The name of your Hycu license
Request body (required)
This license creation date
Shall we delete this on expiration ?
The internal name of your license
The Hycu license file
The license id on license provider side
This license state
okreleasedterminatedtoDeliverResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ hycu/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Activate the HYCU licenseBeta
Path parameters
Service name
Request body (required)
License request in base64 format
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ hycu/ {serviceName}/ activate \
-H "authorization: Bearer $OVH_TOKEN"Confirm service terminationBeta
Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.
Path parameters
The name of your Hycu license
Request body (required)
Commentary about your termination request
What next after your termination request
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORReason of your termination request
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ hycu/ {serviceName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"
Get the HYCU license fileBeta
Path parameters
Service name
Response
Raw text of the HYCU license file
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ hycu/ {serviceName}/ license \
-H "authorization: Bearer $OVH_TOKEN"{ "content": "string"}
Manually refresh the HYCU licenseBeta
Path parameters
Service name
Request body (required)
License request in base64 format
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ hycu/ {serviceName}/ refresh \
-H "authorization: Bearer $OVH_TOKEN"Get service informationBeta
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
The name of your Hycu license
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ hycu/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationBeta
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
The name of your Hycu license
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ hycu/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"Request service terminationBeta
Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.
Path parameters
The name of your Hycu license
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ hycu/ {serviceName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"